## tqt-x11-free 14.0.4

=== debian/changelog ===
tqt-x11-free (4:14.0.4-0ubuntu16.10.0+0) yakkety; urgency=low

  * Automated git build for r14.0.4

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 23 Oct 2016 11:31:52 +0200

tqt-x11-free (3:3.3.8-d-0ubuntu0) maverick; urgency=low

  * Upload of 3.3.8d (working revision) from GIT

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Fri, 22 Jul 2011 16:40:00 -0600
