=== debian/control ===
Source: tqt-x11-free
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Ana Beatriz Guerrero Lopez <ana@debian.org>, Sune Vuorela <debian@pusling.com>, Fathi Boudra <fabo@debian.org>, Modestas Vainius <modestas@vainius.eu>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, cpio, libxext-dev (>= 4.3.0.dfsg.1-4),
 libxrandr-dev (>= 4.3.0.dfsg.1-4), libsm-dev (>= 4.3.0.dfsg.1-4),
 libxmu-dev (>= 4.3.0.dfsg.1-4), libice-dev (>= 4.3.0.dfsg.1-4),
 libx11-dev (>= 4.3.0.dfsg.1-4), libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev,
 libxcursor-dev, libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev,
 libmng-dev (>= 1.0.3), libpng-dev, libfontconfig1-dev,
 libfreetype6-dev, libxft-dev, unixodbc-dev, uuid-dev, libglib2.0-dev,
 libmysqlclient-dev, flex, libpq-dev, postgresql-server-dev-all (>= 117~) | libpq-dev (<< 9.3.3-2~), libaudio-dev, libcups2-dev,
 libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libsqlite3-dev,
 firebird-dev | firebird2.1-dev [i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc armel] | firebird2-dev [i386 amd64]
Section: libs
Priority: optional
Standards-Version: 3.8.4
Homepage: http://www.trinitydesktop.org

Package: libtqt3-mt
Architecture: any
Section: libs
Replaces: libtqt3-mt (<< 4:14.0.0~)
Breaks: libtqt3-mt (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, fontconfig
Recommends: libgl1-mesa-glx | libgl1, libglu1-mesa | libglu1, libxmu6 (>= 4.3.0.dfsg.1-4)
Suggests: libtqt3-mt-psql, libtqt3-mt-mysql, libtqt3-mt-odbc
Description: TQt GUI Library (Threaded runtime version), Version 3
 This is the Trolltech TQt library, version 3. It's necessary for
 applications that link against the libtqt-mt.so.3, e.g. all Trinity
 applications.

Package: libtqt3-mt-mysql
Architecture: any
Section: libs
Replaces: libtqt3-mt-mysql (<< 4:14.0.0~)
Breaks: libtqt3-mt-mysql (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: MySQL database driver for TQt3 (Threaded)
 This package contains the threaded MySQL plugin for TQt3. Install it if
 you intend to use or write TQt programs that are to access a MySQL DB.

Package: libtqt3-mt-odbc
Architecture: any
Section: libs
Replaces: libtqt3-mt-odbc (<< 4:14.0.0~)
Breaks: libtqt3-mt-odbc (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: ODBC database driver for TQt3 (Threaded)
 This package contains the threaded ODBC plugin for TQt3. Install it if
 you intend to use or write TQt programs that are to access an ODBC DB.

Package: libtqt3-mt-psql
Architecture: any
Section: libs
Replaces: libtqt3-mt-psql (<< 4:14.0.0~)
Breaks: libtqt3-mt-psql (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: PostgreSQL database driver for TQt3 (Threaded)
 This package contains the threaded PostgreSQL plugin for TQt3.
 Install it if you intend to use or write TQt programs that are
 to access a PostgreSQL DB.

Package: libtqt3-mt-ibase
Architecture: i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc
Section: libs
Depends: ${shlibs:Depends}
Description: InterBase/FireBird database driver for TQt3 (Threaded)
 This package contains the threaded InterBase/FireBird plugin
 for TQt3. Install it if you intend to use or write TQt programs
 that are to access an InterBase/FireBird DB.

Package: libtqt3-mt-sqlite
Architecture: any
Section: libs
Replaces: libtqt3-mt-sqlite (<< 4:14.0.0~)
Breaks: libtqt3-mt-sqlite (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: SQLite database driver for TQt3 (Threaded)
 This package contains the threaded SQLite plugin for TQt3. Install
 it if you intend to use or write TQt programs that are to access an
 SQLite DB.

Package: libtqt3-mt-sqlite3
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: SQLite3 database driver for TQt3 (Threaded)
 This package contains the threaded SQLite3 plugin for TQt3. Install
 it if you intend to use or write TQt programs that are to access an
 SQLite3 DB.

Package: libtqt3-mt-dev
Architecture: any
Section: libdevel
Replaces: libtqt3-mt-dev (<< 4:14.0.0~)
Breaks: libtqt3-mt-dev (<< 4:14.0.0~)
Depends: libxext-dev (>= 4.3.0.dfsg.1-4), libxrandr-dev (>= 4.3.0.dfsg.1-4),
 libsm-dev (>= 4.3.0.dfsg.1-4), libxmu-dev (>= 4.3.0.dfsg.1-4),
 libice-dev (>= 4.3.0.dfsg.1-4), libx11-dev (>= 4.3.0.dfsg.1-4),
 libxt-dev (>= 4.3.0.dfsg.1-4), libxrender-dev, libxcursor-dev, uuid-dev,
 libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev, libmng-dev (>= 1.0.3),
 libpng-dev, libfontconfig1-dev, libfreetype6-dev,
 libxft-dev, libaudio-dev, libcups2-dev, libgl1-mesa-dev | libgl-dev,
 libglu1-mesa-dev | libglu-dev, libc6-dev, libtqt3-mt (= ${binary:Version}),
 libtqt3-headers (= ${binary:Version}), tqt3-dev-tools (= ${binary:Version})
Recommends: libtqt3-compat-headers
Suggests: libtqt3-i18n, tqt3-doc
Description: TQt development files (Threaded)
 TQt is a C++ class library optimized for graphical user interface
 development. This package contains the libtqt-mt.so symlink, necessary
 for building threaded TQt applications as well as the libtqui.so symlink
 and the necessary header files for libtqui.so. (See README.Debian and
 the TQt Documentation for instructions on libtqui.so)
 .
 WARNING: If you plan to build some older TQt3 applications, you will
 most probably have to install the libtqt3-compat-headers package. It
 contains all the headers which are not part of the official TQt3 API
 anymore but which are still used by some programs. So if you encounter
 problems with missing header files, please install this package first
 before you send a bugreport.

Package: libtqt3-headers
Architecture: any
Section: devel
Replaces: libtqt3-headers (<< 4:14.0.0~)
Breaks: libtqt3-headers (<< 4:14.0.0~)
Recommends: libtqt3-mt-dev
Description:  TQt3 header files
 This package contains all header files for libqt and libtqt-mt which come
 with TQt3. If you want to compile or develop programs which use TQt3, you
 have to install this package.

Package: libtqt3-compat-headers
Architecture: any
Section: devel
Replaces: libtqt3-compat-headers (<< 4:14.0.0~)
Breaks: libtqt3-compat-headers (<< 4:14.0.0~)
Depends: libtqt3-headers (= ${binary:Version})
Recommends: libtqt3-mt-dev
Description: TQt 1.x and 2.x compatibility includes
 This package contains header files that are intended for build
 compatibility for applications that build with TQt3 but still use
 deprecated includes. It is meant as an intermediate solution and
 these header files are not part of the official TQt3 API.
 All sourcecode that is still using the headers of this package is
 subject to be changed to use the new header files which are in
 libtqt3-headers.

Package: tqt3-dev-tools
Architecture: any
Section: devel
Replaces: tqt3-dev-tools (<< 4:14.0.0~)
Breaks: tqt3-dev-tools (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: libtqt3-mt-dev
Description: TQt3 development tools
 This package contains all tools that are necessary to build programs
 that are written using TQt3. These are: qmake, uic and moc.
 For TQt3 development, you most likely want to install this package.

Package: tqt3-designer
Architecture: any
Section: devel
Replaces: tqt3-designer (<< 4:14.0.0~)
Breaks: tqt3-designer (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Recommends: tqt3-dev-tools
Suggests: tqt3-assistant, tqt3-doc
Description: TQt3 Designer
 The TQt Designer is a GUI design program that interactively lets you
 construct user interfaces for the TQt library. Additionally it lets you
 create whole project and works together with the database drivers
 provided by TQt to create applications with easy database access through
 TQt. The resulting user interface files can then be converted to
 C++ classes using the uic commandline utility which is usually done
 automatically for the developer with a project management with qmake
 or automake.

Package: tqt3-apps-dev
Architecture: any
Section: devel
Replaces: tqt3-apps-dev (<< 4:14.0.0~)
Breaks: tqt3-apps-dev (<< 4:14.0.0~)
Depends: libtqt3-mt-dev
Description: TQt3 Developer applications development files
 This package is intended for developers who want to develop applications
 using the additional static libraries that ship with the applications
 included with TQt; the TQt Designer and the TQt Assistant.
 It allows integrating additional enhancements into the TQt Designer
 respectively faciliate the TQt Assistant from within your TQt application
 to interactively call the Assistant for displaying online help that the
 developer includes with his application.

Package: tqt3-linguist
Architecture: any
Section: devel
Replaces: tqt3-linguist (<< 4:14.0.0~)
Breaks: tqt3-linguist (<< 4:14.0.0~)
Suggests: tqt3-assistant
Depends: ${shlibs:Depends}
Description: The TQt3 Linguist
 This package contains the TQt3 Linguist which provides translators a
 tool perfect for translating any TQt-based application into other
 languages and can be used and installed independently of any TQt
 development files by the translator.

Package: tqt3-assistant
Architecture: any
Section: x11
Replaces: tqt3-assistant (<< 4:14.0.0~)
Breaks: tqt3-assistant (<< 4:14.0.0~)
Depends: ${shlibs:Depends}, tqt3-doc
Description: The TQt3 assistant application
 This package contains the TQt3 Assistant, an easy to use frontend for
 the complete TQt3 documentation and serves as an online help viewer for
 any TQt program that wants to give the usesr access to online help.
 Within the TQt tools it is used as the help viewer for the online help
 for the TQt3 Designer and Linguist as well as qmake and the TQt 3 API
 documentation.
 .
 Developers of TQt Application who want to faciliate the TQt Assistant for online
 help display should refer to the README.Debian file for libtqt3-mt-dev and
 the package tqt3-apps-dev.

Package: tqt3-qtconfig
Architecture: any
Section: x11
Replaces: tqt3-qtconfig (<< 4:14.0.0~)
Breaks: tqt3-qtconfig (<< 4:14.0.0~)
Depends: ${shlibs:Depends}
Description: The TQt3 Configuration Application
 The TQt Configuration program allows endusers to configure the look
 and behavior of any TQt3 application. It is mostly only necessary
 on systems which don't run TDE because the Trinity control center already
 covers this configuration automatically for the users TQt3 applications
 according to his desktop settings in TDE. However, if you need to run
 CJK-fonts or other non-latin scripts, you will most likely want to
 install this package.

Package: tqt3-dev-tools-embedded
Architecture: any
Section: devel
Replaces: tqt3-dev-tools-embedded (<< 4:14.0.0~)
Breaks: tqt3-dev-tools-embedded (<< 4:14.0.0~)
Recommends: libtqt3-mt-dev
Depends: ${shlibs:Depends}
Description: Tools to develop embedded TQt applications
 This package contains applications only suitable for developing
 applications with TQt Embedded and/or Qtopia. It provides the QVFB
 program for simulating an embedded device desktop as well as maketqpf
 for converting fonts to embedded fonts suitable for being utilized
 by TQt Embedded applications.

Package: tqt3-dev-tools-compat
Architecture: any
Section: devel
Replaces: tqt3-dev-tools-compat (<< 4:14.0.0~)
Breaks: tqt3-dev-tools-compat (<< 4:14.0.0~)
Recommends: libtqt3-mt-dev
Depends: ${shlibs:Depends}
Description: Conversion utilities for TQt3 development
 This package contains some older TQt tools (namely tqt20fix tqtrename140,
 tqm2ts, tqtmergetr, tqtfindtr and msg2tqm). These tools are needed only by
 application developers who need to migrate any TQt application written
 for TQt 1.x or 2.x over to TQt 3.x. The purpose of the tools are to
 help fixing the changes with include file renaming as well as migrating
 the message file format of TQt 2 translation files or any gettext-based
 translation system to the TQt 3 system.

Package: libtqt3-i18n
Architecture: all
Section: libs
Replaces: libtqt3-i18n (<< 4:14.0.0~)
Breaks: libtqt3-i18n (<< 4:14.0.0~)
Recommends: libtqt3-mt
Description: i18n files for TQt3 library
