=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libxcursor-dev, libxinerama-dev, libxi-dev, zlib1g-dev, libjpeg-dev,
  libmng-dev (>= 1.0.3), libpng-dev, libfontconfig1-dev,
  libfreetype6-dev, libxft-dev, unixodbc-dev, uuid-dev, libglib2.0-dev,
- libmysqlclient-dev, flex, libpq-dev, postgresql-server-dev-all (>= 117~) | libpq-dev (<< 9.3.3-2~), libaudio-dev, libcups2-dev,
+ default-libmysqlclient-dev | libmysqlclient-dev, flex, libpq-dev, postgresql-server-dev-all (>= 117~) | libpq-dev (<< 9.3.3-2~), libaudio-dev, libcups2-dev,
  libgl1-mesa-dev | libgl-dev, libglu1-mesa-dev | libglu-dev, libsqlite3-dev,
  firebird-dev | firebird2.1-dev [i386 kfreebsd-i386 kfreebsd-amd64 knetbsd-i386 netbsd-i386 amd64 sparc powerpc armel] | firebird2-dev [i386 amd64]
 Section: libs
