## tqt-x11-free 14.0.6

=== debian/changelog ===
tqt-x11-free (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 04 Mar 2019 00:00:04 +0100
