## tqt-x11-free 14.0.8

=== debian/changelog ===
tqt-x11-free (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 10 Apr 2020 12:04:43 +0200
