=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 
 # Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
 # never build in parallel, regardless of DEB_BUILD_OPTIONS.
-DEB_BUILD_PARALLEL = true
+DEB_BUILD_PARALLEL ?= true
 
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
 	PLATFORM_ARG = hurd-g++
@@ -141,11 +141,6 @@
 
 	echo yes | ./configure $(CONFIGURE_OPTS)
 
-	rm -rf include/ntqinputcontext.h include/ntqinputcontextfactory.h include/ntqinputcontextplugin.h
-	ln -s ../src/kernel/ntqinputcontext.h include/ntqinputcontext.h
-	ln -s ../src/inputmethod/ntqinputcontextfactory.h include/ntqinputcontextfactory.h
-	ln -s ../src/inputmethod/ntqinputcontextplugin.h include/ntqinputcontextplugin.h
-
 	# proceed
 	$(MAKE) sub-src sub-plugins sub-tools
 	$(MAKE) -C src INSTALL_ROOT=$(TMP_INSTALL) install_target
@@ -170,14 +165,6 @@
 	# install qmake.cache file
 	install -d $(P_QTMTDEV)/usr/share/tqt3/
 	cat .qmake.cache | sed "s#$(QTDIR)#/usr/share/tqt3#g" > $(P_QTMTDEV)/usr/share/tqt3/.qmake.cache
-
-	# install ntqconfig.h for the mt
-	install -m 644 -D include/ntqconfig.h $(P_QTMTDEV)/usr/include/tqt3/ntqconfig.h
-	install -m 644 -D include/ntqmodules.h $(P_QTMTDEV)/usr/include/tqt3/ntqmodules.h
-
-	install -m 644 -D include/ntqinputcontext.h $(P_HEADERS)/usr/include/tqt3/ntqinputcontext.h
-	install -m 644 -D include/ntqinputcontextfactory.h $(P_HEADERS)/usr/include/tqt3/ntqinputcontextfactory.h
-	install -m 644 -D include/ntqinputcontextplugin.h $(P_HEADERS)/usr/include/tqt3/ntqinputcontextplugin.h
 
 	touch libqt-thread-stamp
 
@@ -209,7 +196,6 @@
 		extensions/nsplugin/examples/grapher/libgrapher.prl bin/designer
 
 	rm -f qmake/*o
-	rm -rf include/ntqinputcontext.h include/ntqinputcontextfactory.h include/ntqinputcontextplugin.h
 	rm -f src/.obj/debug-shared-mt/*o plugins/src/inputmethods/imsw-multi/.obj/debug-shared-mt/*o plugins/inputmethods/*so
 	rm -f plugins/src/inputmethods/imsw-none/.obj/debug-shared-mt/*o plugins/src/inputmethods/simple/.obj/debug-shared-mt/*o plugins/src/inputmethods/xim/.obj/debug-shared-mt/*o
 
@@ -240,11 +226,26 @@
 	# copy all docs there first
 	install -d $(P_DOC)/usr/share/tqt3/doc/html/
 	for a in `cd $(TMP_INSTALL)/usr/share/tqt3/doc/html/ && find`; do cp $(TMP_INSTALL)/usr/share/tqt3/doc/html/"$$a" $(P_DOC)/usr/share/tqt3/doc/html/; done
-	#typo bugfix
-	sed -i -e 's/reveives/receives/' $(P_DOC)/usr/share/tqt3/doc/html/ntqwidget.html
 
 	## build designer package documentation
 	# tqt3-designer
 	install -d `pwd`/debian/tqt3-designer/usr/share/tqt3/doc/html/
 	for a in `cat doc/html/designer*.html doc/html/designer*.dcf | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
 	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
+	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/tqt3-designer/usr/share/tqt3/doc/html/ && \
+	rm -rf $(P_DOC)/usr/share/tqt3/doc/html/"$$a" || true; done
+	rm -rf outputfile `pwd`/debian/tqt3-designer/usr/share/tqt3/doc/html/logo32.png
+	rm -rf `pwd`/debian/tqt3-doc/usr/share/tqt3/doc/html/designer*
+
+	## build linguist package documentation
+	# tqt3-linguist
+	install -d `pwd`/debian/tqt3-linguist/usr/share/tqt3/doc/html/
+	for a in `cat doc/html/linguist*.html doc/html/linguist*.dcf | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
+	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
+	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/tqt3-linguist/usr/share/tqt3/doc/html/ && \
+	rm -rf $(P_DOC)/usr/share/tqt3/doc/html/"$$a" || true; done
+	rm -rf outputfile `pwd`/debian/tqt3-linguist/usr/share/tqt3/doc/html/logo32.png
+	rm -rf `pwd`/debian/tqt3-doc/usr/share/tqt3/doc/html/linguist*
+
+	## tqt3-assistant
+	# remove docs from tqt3-doc for qt-assistant
