## tqt-x11-free 14.0.9

=== debian/changelog ===
tqt-x11-free (4:14.0.9-0ubuntu19.04.0+0) disco; urgency=low

  * Automated git build for r14.0.9

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 16 Oct 2020 15:12:04 +0200
