## tqt-x11-free 14.0.10

=== debian/changelog ===
tqt-x11-free (4:14.0.10-4romtqt) universal; urgency=low

  * Applying evLoopX11Glib_noLoadAtPendingFlood.patch
  * Applying noHangAtWrongCharShape.patch
  * Applying monotonic_tm.patch
  * Applying tqt3_noCrashQTextEditAtPasteRTEtoBegin.patch
  * Applying tqt3_noLeakInXCloseIM.patch

 -- Roman Savochenko <roman@oscada.org>  Sat, 06 Sep 2025 20:00:00 +0200

tqt-x11-free (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 17 Apr 2021 04:31:33 +0200
