## tqt-x11-free 14.0.11

=== debian/changelog ===
tqt-x11-free (4:14.0.11-0ubuntu14.04.0+0) trusty; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#tqt3

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 14 Oct 2021 14:41:34 +0200
