=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,15 @@
 OLD_PATH := $(PATH)
 export PATH=$(QTDIR)/bin:$(OLD_PATH)
 
+# The default gzip compressor has been changed in dpkg >= 1.17.0.
+deb_default_compress = $(shell LANG=C dpkg-deb --version | head -n1 | \
+                         sed -e "s|.*version ||" -e "s| .*||" | \
+                         xargs -r dpkg --compare-versions 1.17.0 lt \
+                         && echo xz || echo gzip)
+ifeq ($(deb_default_compress),gzip)
 DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                                && echo xz || echo bzip2)
+endif
 
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
@@ -43,6 +50,8 @@
 P_HEADERS = $(DEBIAN)/libtqt3-headers
 P_QTMTDEV = $(DEBIAN)/libtqt3-mt-dev
 
+RPC_INCLUDES = $(if $(wildcard /usr/include/tirpc),-I/usr/include/tirpc,)
+
 TMP_INSTALL = $(DEBIAN)/tmp-install
 
 CONFIGURE_OPTS = \
@@ -101,6 +110,8 @@
 		-I/usr/include/freetype2	\
 		-I`pg_config --includedir`	\
 		-I`pg_config --includedir-server`	\
+		$(RPC_INCLUDES)			\
+						\
 		-L/usr/lib/$(DEB_HOST_MULTIARCH)\
 						\
 		-lfontconfig			\
@@ -241,11 +252,3 @@
 	# tqt3-linguist
 	install -d `pwd`/debian/tqt3-linguist/usr/share/tqt3/doc/html/
 	for a in `cat doc/html/linguist*.html doc/html/linguist*.dcf | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
-	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
-	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/tqt3-linguist/usr/share/tqt3/doc/html/ && \
-	rm -rf $(P_DOC)/usr/share/tqt3/doc/html/"$$a" || true; done
-	rm -rf outputfile `pwd`/debian/tqt3-linguist/usr/share/tqt3/doc/html/logo32.png
-	rm -rf `pwd`/debian/tqt3-doc/usr/share/tqt3/doc/html/linguist*
-
-	## tqt3-assistant
-	# remove docs from tqt3-doc for qt-assistant
