## tqt-x11-free 14.0.12

=== debian/changelog ===
tqt-x11-free (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#tqt3

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 21 Apr 2022 00:17:57 +0200
