## tqt-x11-free 14.0.13

=== debian/changelog ===
tqt-x11-free (4:14.0.13-1romtqt) universal; urgency=low

  * Applying evLoopX11Glib_noLoadAtPendingFlood.patch
  * Applying noHangAtWrongCharShape.patch

 -- Roman Savochenko <roman@oscada.org>  Mon, 25 Nov 2024 20:00:00 +0200

tqt-x11-free (4:14.0.13-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#tqt3

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 22 Sep 2022 03:33:17 +0200
