## tqt-x11-free 14.1.0

=== debian/changelog ===
tqt-x11-free (4:14.1.0-0ubuntu21.10.1+0) impish; urgency=low

  * Backport commit 41336d84c9. This resolves issue TDE/tde#128.

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 13 Jun 2023 15:30:10 +0100

tqt-x11-free (4:14.1.0-0ubuntu9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#tqt3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 19 Feb 2023 11:51:36 +0100
