=== debian/rules ===
--- 
+++ 
@@ -60,7 +60,8 @@
 		-datadir	"/usr/share/tqt3"		\
 		-headerdir	"/usr/include/tqt3"		\
 		-docdir		"/usr/share/tqt3/doc"		\
-		-plugindir	"/usr/lib/tqt3/plugins"		\
+		-libdir		"/usr/lib/$(DEB_HOST_MULTIARCH)"		\
+		-plugindir	"/usr/lib/$(DEB_HOST_MULTIARCH)/tqt3/plugins"	\
 		-translationdir	"/usr/share/tqt3/translations"	\
 						\
 		-thread				\
@@ -162,7 +163,6 @@
 	-cp lib/lib*.a $(TMP_INSTALL)/usr/lib/
 
 	cp bin/tqtrename140 $(TMP_INSTALL)/usr/bin/
-	cp bin/tqt20fix $(TMP_INSTALL)/usr/bin/
 	cp bin/tqtfindtr $(TMP_INSTALL)/usr/bin/
 
 	# build tqtconv2ui
@@ -217,6 +217,12 @@
 
 	cd examples/ && find . -name '.obj' | xargs rm -rf
 
+	# revert multi-arch path in install files
+	for a in debian/*install debian/*links; do \
+	    [ ! -f $$a.arch ] || \
+	    mv $$a.arch $$a; \
+	done
+
 	dh_clean
 
 install: build
@@ -227,8 +233,14 @@
 	dh_clean -i
 	dh_installdirs
 
+	# update multi-arch path in install files
+	for a in debian/*install debian/*links; do \
+	    [ -d $$a ] || [ -f $$a.arch ] || \
+	    sed -i.arch "s|\$$(DEB_HOST_MULTIARCH)|$(DEB_HOST_MULTIARCH)|g" $$a; \
+	done
+
 	# fix .prl files
-	for a in $(TMP_INSTALL)/usr/lib/*prl; do cat "$$a" | sed \
+	for a in $(TMP_INSTALL)/usr/lib/$(DEB_HOST_MULTIARCH)/*prl; do cat "$$a" | sed \
 	"s#$(QTDIR)#/usr/share/tqt3#g" > "$$a".new && mv "$$a".new "$$a"; done
 
 	dh_install $(IBASE) --sourcedir=$(TMP_INSTALL)
@@ -245,10 +257,3 @@
 	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
 	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/tqt3-designer/usr/share/tqt3/doc/html/ && \
 	rm -rf $(P_DOC)/usr/share/tqt3/doc/html/"$$a" || true; done
-	rm -rf outputfile `pwd`/debian/tqt3-designer/usr/share/tqt3/doc/html/logo32.png
-	rm -rf `pwd`/debian/tqt3-doc/usr/share/tqt3/doc/html/designer*
-
-	## build linguist package documentation
-	# tqt3-linguist
-	install -d `pwd`/debian/tqt3-linguist/usr/share/tqt3/doc/html/
-	for a in `cat doc/html/linguist*.html doc/html/linguist*.dcf | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
