## tqt-x11-free 14.1.1

=== debian/changelog ===
tqt-x11-free (4:14.1.1-4romtqt) universal; urgency=low

  * Applying evLoopX11Glib_noLoadAtPendingFlood.patch with expanding on qtwaittimer
  * Applying noHangAtWrongCharShape.patch
  * Applying monotonic_tm.patch
  * Applying tqt3_noCrashQTextEditAtPasteRTEtoBegin.patch
  * Applying tqt3_noLeakInXCloseIM.patch

 -- Roman Savochenko <roman@oscada.org>  Sat, 06 Sep 2025 20:00:00 +0200

tqt-x11-free (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#tqt3

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 24 Sep 2023 13:14:25 +0200
