## tqt-x11-free 14.1.2

=== debian/changelog ===
tqt-x11-free (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#tqt3

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 18 Apr 2024 00:54:35 +0200
