=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,13 @@
 DEB_HOST_ARCH		?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 DEB_HOST_ARCH_CPU	?= $(shell dpkg-architecture -qDEB_HOST_ARCH_CPU)
 DEB_HOST_MULTIARCH	?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+
+DEB_TIME64_API		= $(shell echo | cc $(dpkg-buildflags --get CPPFLAGS) -dM -E -x c++ - | grep -q "_TIME_BITS 64" && echo true || false)
+ifeq ($(DEB_TIME64_API),true)
+DEB_TIME64_SUFFIX	= -t64
+else
+DEB_TIME64_SUFFIX	=
+endif
 
 # Honour "parallel=N" option of DEB_BUILD_OPTIONS.  Comment out to
 # never build in parallel, regardless of DEB_BUILD_OPTIONS.
@@ -44,7 +51,7 @@
 
 # build variables (directorys)
 DEBIAN = $(shell pwd)/debian
-P_LIBS = $(DEBIAN)/libtqt3-mt
+P_LIBS = $(DEBIAN)/libtqt3-mt$(DEB_TIME64_SUFFIX)
 P_DOC = $(DEBIAN)/tqt3-doc
 P_APPSDEV = $(DEBIAN)/tqt3-apps-dev
 P_HEADERS = $(DEBIAN)/libtqt3-headers
@@ -139,6 +146,22 @@
 
 post-patches::
 	dh_testdir
+ifeq ($(DEB_TIME64_API),true)
+	# update library package name for TIME64 ABI
+	ls -d debian/* | \
+	grep -E "/libtqt3-mt\." | \
+	grep -v "\.t64$$" | \
+	while read a; do \
+	    [ -d $$a ] || [ -f $$a.t64 ] || \
+	    (cp -a $$a debian/libtqt3-mt$(DEB_TIME64_SUFFIX).$${a##*.} && mv $$a $$a.t64); \
+	done
+	[ -f debian/control.t64 ] || \
+	sed -i.t64 \
+	    -e "s/^\\(Package: libtqt3-mt\\)$$/\\1$(DEB_TIME64_SUFFIX)/" \
+	    -e "s/^\\(Replaces\\|Breaks\\): \\(libtqt3-mt\\)\\( \|$$\)/\\1: \\2, \\2$(DEB_TIME64_SUFFIX)\\3/" \
+	    -e "s/\\(libtqt3-mt\\) (=/\\1$(DEB_TIME64_SUFFIX) (=/" \
+	    debian/control
+endif
 
 build build-arch: libqt-thread-stamp
 build-indep:
@@ -225,6 +248,20 @@
 
 	dh_clean
 
+ifeq ($(DEB_TIME64_API),true)
+	# revert library package name for TIME64 ABI
+	ls -d debian/* | \
+	grep -E "\.t64$$" | \
+	while read a; do \
+	    mv $$a $${a%.t64}; \
+	done
+	ls -d debian/* | \
+	grep -E "/libtqt3-mt$(DEB_TIME64_SUFFIX)\." | \
+	xargs -r rm
+	[ ! -f debian/control.t64 ] || \
+	mv debian/control.t64 debian/control
+endif
+
 install: build
 
 	dh_testdir
@@ -234,26 +271,3 @@
 	dh_installdirs
 
 	# update multi-arch path in install files
-	for a in debian/*install debian/*links; do \
-	    [ -d $$a ] || [ -f $$a.arch ] || \
-	    sed -i.arch "s|\$$(DEB_HOST_MULTIARCH)|$(DEB_HOST_MULTIARCH)|g" $$a; \
-	done
-
-	# fix .prl files
-	for a in $(TMP_INSTALL)/usr/lib/$(DEB_HOST_MULTIARCH)/*prl; do cat "$$a" | sed \
-	"s#$(QTDIR)#/usr/share/tqt3#g" > "$$a".new && mv "$$a".new "$$a"; done
-
-	dh_install $(IBASE) --sourcedir=$(TMP_INSTALL)
-
-	## build tqt3-doc package
-	# copy all docs there first
-	install -d $(P_DOC)/usr/share/tqt3/doc/html/
-	for a in `cd $(TMP_INSTALL)/usr/share/tqt3/doc/html/ && find`; do cp $(TMP_INSTALL)/usr/share/tqt3/doc/html/"$$a" $(P_DOC)/usr/share/tqt3/doc/html/; done
-
-	## build designer package documentation
-	# tqt3-designer
-	install -d `pwd`/debian/tqt3-designer/usr/share/tqt3/doc/html/
-	for a in `cat doc/html/designer*.html doc/html/designer*.dcf | grep png | sed 's/^.*src=\"\([^\"]+\)\".*$$/\1/' | \
-	perl -pe 's#<\?p[^>]+>##' | tee outputfile | perl -ne '/<img [^>]*(src=\"[^"]+\")/; print $$1' | \
-	sed 's/src=//g' | sed 's/"/ /g'`; do cp doc/html/"$$a" `pwd`/debian/tqt3-designer/usr/share/tqt3/doc/html/ && \
-	rm -rf $(P_DOC)/usr/share/tqt3/doc/html/"$$a" || true; done
