## tqt-x11-free 14.1.3

=== debian/changelog ===
tqt-x11-free (4:14.1.3-3romtqt) universal; urgency=low

  * Applying updated evLoopX11Glib_noLoadAtPendingFlood.patch
  * Applying noHangAtWrongCharShape.patch
  * Applying monotonic_tm.patch
  * Applying tqt3_noCrashQTextEditAtPasteRTEtoBegin.patch

 -- Roman Savochenko <roman@oscada.org>  Wed, 02 Apr 2025 20:00:00 +0200

tqt-x11-free (4:14.1.3-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#tqt3

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Oct 2024 02:03:22 +0200
