## tqt-x11-free 14.1.4

=== debian/changelog ===
tqt-x11-free (4:14.1.4-2romtqt) universal; urgency=low

  * Applying updated evLoopX11Glib_noLoadAtPendingFlood.patch
  * Applying noHangAtWrongCharShape.patch
  * Applying monotonic_tm.patch
  * Applying tqt3_noCrashQTextEditAtPasteRTEtoBegin.patch
  * Applying tqt3_noLeakInXCloseIM.patch

 -- Roman Savochenko <roman@oscada.org>  Sat, 06 Sep 2025 20:00:00 +0200

tqt-x11-free (4:14.1.4-0debian12.0.0+0) bookworm; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#tqt3

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 17 Apr 2025 15:22:14 +0200
